{% extends '@EasyAdmin/layout.html.twig' %}

{% block main %}
    <h1>Monitoring</h1>
    <h6>Requête sur la journée</h6>
    <div class="card-group">
        <div class="card border-2 rounded-2">
            <div class="card-body">
                <h5 class="card-title text-center">
                    {{ headerData.nbRequest }}
                </h5>
                <p class="card-text text-center">Nombre de requete</p>
            </div>
        </div>
        <div class="card border-2 rounded-2 mx-5">
            <div class="card-body text-center">
                <h5 class="card-title">
                    {{ headerData.avgRequestTime }}
                </h5>
                <p class="card-text">Temps moyen des requêtes (seconde)</p>
            </div>
        </div>
        <div class="card border-2 rounded-2">
            <div class="card-body text-center">
                <h5 class="card-title">
                    {{ headerData.nbErrorsRequest }}
                </h5>
                <p class="card-text">Nombre d'erreur</p>
            </div>
        </div>
    </div>
    <h6>Graphique de requête par méthode</h6>
    <div class="card-group">
        <div class="card border-2 rounded-2 mx-2">
            <div class="card-body w-75">
                {{ render_chart(nbRequestByMethod) }}
            </div>
        </div>
        <div class="card border-2 rounded-2 mx-2">
            <div class="card-body">
                {{ render_chart(timeRequestByMethod) }}
            </div>
        </div>
    </div>
    <h6>Graphique de requête de la journée</h6>
    <div class="card-group">
        <div class="card border-2 rounded-2 mx-2">
            <div class="card-body w-75">
                {{ render_chart(allRequestTime) }}
            </div>
        </div>
    </div>
    {{ encore_entry_script_tags('app') }}
{% endblock main %}